Subject: Re: bug#16451: build newest guile on FreeBSD error

From: Andy Wingo <[email-masked]>
Date: Tue, 21 Jun 2016 14:44:00 +0200

No additional info; let's close.  Please file a new bug if you have
errors building Guile from git again.  Thanks!

Andy

On Wed 15 Jan 2014 19:41, Mark H Weaver <[email-masked]> writes:

> z_axis <[email-masked]> writes:
>
>> hi,friends
>> After `git clone git://git.sv.gnu.org/guile.git`, `./autogen` reports:
>> m4: illegal option -- -
>> usage: m4 [-d flags] [-t name] [-gs] [-D name[=value]]...
>>        [-U name]... [-I dirname]... file...
>>
>> on my FreeBSD 9.1 box.
>
> Following up on this: it turns out that the call to "m4 --version" in
> autogen.sh is apparently the only problem here.
>
> I suggested (on IRC) that he run "autoreconf -i --force --verbose" (the
> only important thing in autogen.sh) and it seems to have worked properly
> and created a working configure script.
>
> Some other notes on FreeBSD, while the knowledge is fresh: On FreeBSD,
> the "boehm-gc" package is compiled without threading support.  To
> support threads, the "boehm-gc-threaded" package is needed, which
> installs the library with a nonstandard name -lgc-threaded, so
> BDW_GC_LIBS="-L/usr/local/lib -lgc-threaded" must be passed to
> configure.
>
> Maybe some of this should go into a README, but first I should ask:
> z_axis: did these steps produce a working Guile on FreeBSD 9.1?
>
>     Thanks,
>       Mark